Skip to content

Query groups

Request

The SCIM protocol defines a standard set of query parameters that can be used to filter, sort, and paginate to return zero or more resources in a query response.

For more on filtering with SCIM routes, please see RFC 7644 Filtering.

Security
BearerAuth
Query
filterstring

Clients may request a subset of resources by specifying the "filter" query parameter containing a filter expression.When specified, only those resources matching the filter expression will be returned. The expression language that is used with the filter parameter supports references to attributes and literals.

Attribute names and attribute operators used in filters are case insensitive.

For more on filtering with SCIM routes, please see RFC 7644 Filtering.

Example:filter=userName eq "john"
attributesstring

A multi-valued list of strings indicating the names of resource attributes to return in the response, overriding the set of attributes that would be returned by default. Attribute names must be in standard attribute notation (Section 3.10) form.

See Section 3.9 for additional retrieval query parameters.

Example:attributes=userName
excludedAttributesstring

A multi-valued list of strings indicating the names of resource attributes to be removed from the default set of attributes to return. This parameter will have no effect on attributes whose schema "returned" setting is "always" (see Sections 2.2 and 7 of [RFC7643]). Attribute names must be in standard attribute notation (Section 3.10) form.

See Section 3.9 for additional retrieval query parameters.

Example:excludedAttributes=givenName
sortBystring

The "sortBy" parameter specifies the attribute whose value will be used to order the returned responses. If the "sortBy" ttribute corresponds to a singular attribute, resources are sorted according to that attribute's value; if it's a multi-valued attribute, resources are sorted by the value of the primary attribute (see Section 2.4 of [RFC7643]), if any, or else the first value in the list, if any. If the attribute is complex, the attribute name must be a path to a sub-attribute in standard attribute notation (Section 3.10), e.g., sortBy=name.givenName.

For all attribute types, if there is no data for the specified "sortBy" value, they are sorted via the "sortOrder" parameter, i.e., they are ordered last if ascending and first if descending.

Example:sortBy=name.givenName
sortOrderstring

The order in which the "sortBy" parameter is applied. Allowed values are "ascending" and "descending". If a value for "sortBy" is provided and no "sortOrder" is specified, "sortOrder" will default to ascending. String type attributes are case insensitive by default, unless the attribute type is defined as a case-exact string. "sortOrder" must sort according to the attribute type; i.e., for case-insensitive attributes, sort the result using case-insensitive Unicode alphabetic sort order with no specific locale implied, and for case-exact attribute types, sort the result using case-sensitive Unicode alphabetic sort order.

Enum:"ascending""descending"
Example:sortOrder=ascending
startIndexinteger

The 1-based index of the first query result. Values of less than 1 are interpreted as 1.

See Section 3.4.2.3 for details about Pagination.

Example:startIndex=1
countinteger

Specifies the desired maximum number of results per page. Negative values are as interpreted as 0.

See Section 3.4.2.3 for details about Pagination.

Example:count=10
GET
/scim/v2/Groups
curl --request GET \
  --url https://YOUR_DOMAIN/scim/v2/Groups \
  --header 'Content-type: application/scim+json' \
  --header 'Authorization: Bearer eyJ0eX...ll4Q2NT'

Responses

Successful query

Bodyapplication/json
schemasArray of stringsrequired
Default:["urn:ietf:params:scim:api:messages:2.0:ListResponse"]
Example:
[ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ]
totalResultsinteger

The total number of results returned by the list.

Example:2
itemsPerPageinteger

The number of resources returned in a list response page.

Example:10
startIndexinteger

The 1-based index of the first result in the current set of list results.

resourcesArray of objects(Group)
Example:
[ { "schemas": [], "id": "c3a26dd3-27a0-4dec-a2ac-ce211e105f97", "displayName": "groupA", "members": [], "meta": {} }, { "schemas": [], "id": "6c5bb468-14b2-4183-baf2-06d523e03bd3", "displayName": "groupB", "members": [], "meta": {} } ]
Response
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 2, "itemsPerPage": 10, "description": 1, "resources": [ {}, {} ] }